/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  DSManager.h: Direct Sound Manager

  (c) 2005 Jimbo and Off Topic Productions
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/


BOOL InitDirectSound();
void DestroyDirectSound();

extern IDirectSound8 *dSound;
extern IDirectSoundBuffer *dSoundPBuffer;


extern float GlobalMusicVolume;


inline long ConvertToDBVolume(float vol) //0.0 to 1.0
{
    return (long)((vol <= 1e-4f) ? -10000.0f : (20.0f * log10(vol))*100.0f);
}
