/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  OggFile.h:  Ogg File Stream

  (c) 2005 Jimbo and Off Topic Productions
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/


class OggStream
{
public:
    OggStream(TCHAR *lpOggNameIntro, TCHAR *lpOggNameLoop);
    ~OggStream();

    void SetVolume(float vol);
    float GetVolume() {return streamVol;}
    void ResetVolume();

    void Play(float position=0.0f);
    void Stop();

    BOOL RestoreBuffer();

    float GetCurrentPosition();

    DWORD UploadStreamSegment();

    //--------------------------------
    IDirectSoundBuffer8 *buffer;

    HANDLE hStreamThread;
    DWORD curWritePos, dwStreamDelay;
    BOOL bPlaying;

    float streamVol;

    DWORD dwStreamSize;

    //--------------------------------
    bool bHasIntro;
    OggVorbis_File *lpCurVorbisData;
    double introLength;

    FString fileNameIntro;
    FILE *oggFileIntro;
    OggVorbis_File vorbisDataIntro;

    FString fileName;
    FILE *oggFile;
    OggVorbis_File vorbisData;

    LPBYTE overBuffer;
    DWORD overBufferSize;
};
